import 'package:airpackage/components/cursor.dart';
import 'package:airpackage/themes/colors.dart';
import 'package:flutter/material.dart';

class AirButton extends StatelessWidget {
  final Text label;
  final IconData icon;
  final Color color;
  final VoidCallback onPressed;

  AirButton({
    this.label,
    this.icon,
    this.color = AppColors.success,
    @required this.onPressed,
  });

  @override
  Widget build(BuildContext context) {
    return Cursor(
      child: RaisedButton.icon(
        label: label,
        color: color,
        elevation: 1,
        icon: Icon(icon),
        onPressed: onPressed,
        textColor: AppColors.white,
        highlightElevation: 0,
        disabledElevation: 0,
        highlightColor: Colors.transparent,
        textTheme: ButtonTextTheme.accent,
      ),
    );
  }
}
