import 'package:airpackage/classes/popupItem.dart';
import 'package:airpackage/components/cursor.dart';
import 'package:flutter/material.dart';

class AirPopup extends StatelessWidget {
  final IconData icon;
  final double iconSize;
  final Function action;
  final List<PopupItem> options;

  AirPopup({
    this.iconSize = 16,
    @required this.action,
    @required this.options,
    this.icon = Icons.more_vert,
  });

  @override
  Widget build(BuildContext context) {
    return Cursor(
      child: PopupMenuButton(
        onSelected: action,
        child: Padding(
          padding: EdgeInsets.only(left: 10),
          child: Icon(icon, size: iconSize),
        ),
        itemBuilder: (context) {
          return List.generate(options.length, (index) {
            PopupItem option = options[index];
            return PopupMenuItem(
              value: option.value,
              child: Wrap(
                alignment: WrapAlignment.center,
                crossAxisAlignment: WrapCrossAlignment.center,
                children: <Widget>[
                  Padding(
                    padding: EdgeInsets.only(right: 10),
                    child: Icon(option.icon, size: 12),
                  ),
                  Text(option.label),
                ],
              ),
            );
          });
        },
      ),
    );
  }
}
