import 'package:flutter/material.dart';

class AppColors {
  AppColors._();

  static const Color black = Color(0xFF000000);
  static const Color white = Color(0xFFFFFFFF);
  static const Color transparent = Color(0x00000000);
  static const Color ig = Color(0XFF833AB4);
  static const Color fb = Color(0XFF3B5998);
  static const Color yt = Color(0XFFFF0000);
  static const Color tw = Color(0XFF1DA1F2);
  static const Color pt = Color(0XFFBD081C);
  static const Color textDark = Color(0XFF4A4A4A);
  static const Color status_active = Color(0XFFBD081C);
  static const Color status_inactive = Color(0XFFBD081C);
  static const Color status_archieve = Color(0XFFBD081C);

  static const int _primaryValue = 0xFFB924AD;
  static const MaterialColor primary = MaterialColor(
    _primaryValue,
    <int, Color>{
      50: Color(0xFFF8EBF7),
      100: Color(0xFFEBC3E8),
      200: Color(0xFFDF9BD9),
      300: Color(0xFFD273CA),
      400: Color(0xFFC54BBB),
      500: Color(_primaryValue),
      600: Color(0xFF981E8E),
      700: Color(0xFF76176F),
      800: Color(0xFF55114F),
      900: Color(0xFF330A30),
      1000: Color(0xFF110410),
    },
  );

  static const int _secondaryValue = 0xFF1E274B;
  static const MaterialColor secondary = MaterialColor(
    _secondaryValue,
    <int, Color>{
      50: Color(0xFF9BA7D7),
      100: Color(0xFF6477C1),
      200: Color(0xFF4458AA),
      300: Color(0xFF2F3E77),
      400: Color(0xFF273261),
      500: Color(_secondaryValue),
      600: Color(0xFF151C35),
      700: Color(0xFF0D101F),
      800: Color(0xFF040509),
      900: Color(0xFF030407),
    },
  );

  static const int _tertiaryValue = 0xFFC1C4CD;
  static const MaterialColor tertiary = MaterialColor(
    _tertiaryValue,
    <int, Color>{
      50: Color(0xFFEEEEF1),
      100: Color(0xFFE8E9EC),
      200: Color(0xFFE3E4E8),
      300: Color(0xFFE3E4E8),
      400: Color(0xFFD2D4DB),
      500: Color(_tertiaryValue),
      600: Color(0xFFB0B4BF),
      700: Color(0xFF9FA4B2),
      800: Color(0xFF8E94A4),
      900: Color(0xFF7D8396),
    },
  );

  static const int _grayValue = 0xFFE9E5E5;
  static const MaterialColor gray = MaterialColor(
    _grayValue,
    <int, Color>{
      50: Color(0xFFF1F1F1),
      100: Color(0xFFF1F1F1),
      200: Color(0xFFF1F1F1),
      300: Color(0xFFF1F1F1),
      400: Color(0xFFF1F1F1),
      500: Color(_grayValue),
      600: Color(0xFFF1F1F1),
      700: Color(0xFFF1F1F1),
      800: Color(0xFFF1F1F1),
      900: Color(0xFFF1F1F1),
    },
  );

  static const int _infoValue = 0xFF3998BE;
  static const MaterialColor info = MaterialColor(
    _infoValue,
    <int, Color>{
      50: Color(0xFFE7F3F7),
      100: Color(0xFFC4E0EC),
      200: Color(0xFF9CCCDF),
      300: Color(0xFF74B7D2),
      400: Color(0xFF57A7C8),
      500: Color(_infoValue),
      600: Color(0xFF3390B8),
      700: Color(0xFF2C85AF),
      800: Color(0xFF247BA7),
      900: Color(0xFF176A99),
    },
  );

  static const int _errorValue = 0xFFBE1335;
  static const MaterialColor error = MaterialColor(
    _errorValue,
    <int, Color>{
      50: Color(0xFFF7E3E7),
      100: Color(0xFFECB8C2),
      200: Color(0xFFDF899A),
      300: Color(0xFFD25A72),
      400: Color(0xFFC83653),
      500: Color(_errorValue),
      600: Color(0xFFB81130),
      700: Color(0xFFAF0E28),
      800: Color(0xFFA70B22),
      900: Color(0xFF990616),
    },
  );

  static const int _successValue = 0xFF09BE8E;
  static const MaterialColor success = MaterialColor(
    _successValue,
    <int, Color>{
      50: Color(0xFFE1F7F1),
      100: Color(0xFFB5ECDD),
      200: Color(0xFF84DFC7),
      300: Color(0xFF53D2B0),
      400: Color(0xFF2EC89F),
      500: Color(_successValue),
      600: Color(0xFF08B886),
      700: Color(0xFF06AF7B),
      800: Color(0xFF05A771),
      900: Color(0xFF02995F),
    },
  );

  static const int _warningValue = 0xFFBFB713;
  static const MaterialColor warning =
      MaterialColor(_warningValue, <int, Color>{
    50: Color(0xFFF7F6E3),
    100: Color(0xFFECE9B8),
    200: Color(0xFFDFDB89),
    300: Color(0xFFD2CD5A),
    400: Color(0xFFC9C236),
    500: Color(_warningValue),
    600: Color(0xFFB9B011),
    700: Color(0xFFB1A70E),
    800: Color(0xFFA99F0B),
    900: Color(0xFF9B9006),
  });
}
